production insights
List production insights topics
Requires scopes: traces:read
GET
/
api
/
production-insights
/
topics
List production insights topics
curl --request GET \
--url https://evalgate.com/api/production-insights/topics \
--header 'Authorization: Bearer <token>'import requests
url = "https://evalgate.com/api/production-insights/topics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://evalgate.com/api/production-insights/topics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"proposalState": "<string>",
"proposalSource": "<string>",
"metrics": {
"traceCount": 123,
"reportCount": 123,
"affectedUsers": 123,
"affectedWorkflows": 123,
"totalCostUsd": "<string>",
"knownCostRecords": 123,
"modelCounts": {},
"promptVersionCounts": {},
"deploymentVersionCounts": {},
"candidateCount": 123,
"goldenCoverageCount": 123,
"reviewCount": 123
},
"trend": {
"currentCount": 123,
"previousCount": 123,
"changePercent": 123,
"direction": "flat",
"continuity": "continuous"
},
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fingerprint": "<string>",
"name": "<string>",
"description": "<string>",
"status": "<string>",
"severity": "<string>",
"cohortKinds": [
"<string>"
],
"confidence": 123,
"currentVersionNumber": 123,
"firstSeenAt": "2023-11-07T05:31:56Z",
"lastSeenAt": "2023-11-07T05:31:56Z",
"continuityStartedAt": "2023-11-07T05:31:56Z",
"ownerId": "<string>",
"createdBy": "<string>",
"suppressedAt": "2023-11-07T05:31:56Z",
"suppressionReason": "<string>",
"resolvedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"hasMore": true
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}⌘I
List production insights topics
